# Enum CompressionCodec

java.lang.Object
java.lang.Enum<CompressionCodec>
com.databricks.jdbc.common.CompressionCodec

All Implemented Interfaces:
  `Serializable`, `Comparable<CompressionCodec>`, `java.lang.constant.Constable`

public enum CompressionCodec extends Enum<CompressionCodec>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LZ4_FRAME`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static CompressionCodec`
`getCompressionMapping(TGetResultSetMetadataResp metadataResp)`
`static CompressionCodec`
`parseCompressionType(String compressionType)`
`static CompressionCodec`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompressionCodec[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final CompressionCodec NONE

### LZ4_FRAME

public static final CompressionCodec LZ4_FRAME

## Method Details

### values

public static CompressionCodec[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompressionCodec valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### parseCompressionType

public static CompressionCodec parseCompressionType(String compressionType)

### getCompressionMapping

public static CompressionCodec getCompressionMapping(TGetResultSetMetadataResp metadataResp)